Debian Bug report logs - #706162
ITP: luxio -- Posix bindings for Lua

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Lars Wirzenius <liw@liw.fi>

Date: Thu, 25 Apr 2013 18:30:02 UTC

Owned by: Lars Wirzenius <liw@liw.fi>

Severity: wishlist

Fixed in version luxio/5-1

Done: Lars Wirzenius <liw@liw.fi>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#706162; Package wnpp. (Thu, 25 Apr 2013 18:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lars Wirzenius <liw@liw.fi>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 25 Apr 2013 18:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: luxio -- Posix bindings for Lua
Date: Thu, 25 Apr 2013 19:26:57 +0100
Package: wnpp
Severity: wishlist
Owner: Lars Wirzenius <liw@liw.fi>

* Package name    : luxio
  Version         : 1.0
  Upstream Author : Rob Kendrick <rjek+luxio@rjek.com>
* URL             : http://www.rjek.com/software.html
* License         : MIT (Same as Lua)
  Programming Lang: Lua
  Description     : Posix bindings for Lua

Lightweight UNIX I/O and POSIX binding for Lua

1. Reasonably good coverage of POSIX and BSD Sockets, including IPv6,
   and some GNU extensions.
2. Meant to be buildable anywhere that is POSIX.1-1996.  If it's not,
   there's a bug.  These are likely, as I have nowhere other than
   Linux to test.
3. Low-level.  You get the return values and the errno for the bound
   functions where possible.  Others take a table to fill in, or
   may return tables.
4. High-level wrapper library providing nice IO access and to misc.
   utility functions.  Generates useful errors in assert()able form,
   and provides meaningful __tostring metamethods to aid debugging.
5. A high-level poll()-based event dispatch library.
6. Sub-process handling library (read/write io.popen with job control).
7. A prototype POSIX Message Queue-based IPC scheme that can serialise
   most simple Lua values.  (No closures, userdata, etc)

This package is needed as a dependency for Gitano, for which an ITP will
be filed later.

I will be co-maintaining this package with Daniel Silverstone.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 30 Jun 2013 20:06:04 GMT) Full text and rfc822 format available.

Reply sent to Lars Wirzenius <liw@liw.fi>:
You have taken responsibility. (Mon, 02 Sep 2013 01:03:22 GMT) Full text and rfc822 format available.

Notification sent to Lars Wirzenius <liw@liw.fi>:
Bug acknowledged by developer. (Mon, 02 Sep 2013 01:03:23 GMT) Full text and rfc822 format available.

Message #12 received at 706162-close@bugs.debian.org (full text, mbox):

From: Lars Wirzenius <liw@liw.fi>
To: 706162-close@bugs.debian.org
Subject: Bug#706162: fixed in luxio 5-1
Date: Mon, 02 Sep 2013 01:00:08 +0000
Source: luxio
Source-Version: 5-1

We believe that the bug you reported is fixed in the latest version of
luxio, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 706162@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Lars Wirzenius <liw@liw.fi> (supplier of updated luxio package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 11 Aug 2013 13:42:40 +0100
Source: luxio
Binary: lua-luxio0
Architecture: source amd64
Version: 5-1
Distribution: unstable
Urgency: low
Maintainer: Lars Wirzenius <liw@liw.fi>
Changed-By: Lars Wirzenius <liw@liw.fi>
Description: 
 lua-luxio0 - Posix bindings for Lua
Closes: 706162
Changes: 
 luxio (5-1) unstable; urgency=low
 .
   * New upstream version.
     - adds copyright information to files that were missing it
   * debian/copyright: Add copyright information for Debian packaging
     files.
   * debian/rules: Install binaries into /usr/bin, not /bin.
 .
 luxio (4-1) unstable; urgency=low
 .
   * Initial packaging. (Closes: #706162)
Checksums-Sha1: 
 7c1f7a299791735ed2df929004949410f4d6e387 1390 luxio_5-1.dsc
 2385d9d1f3e316f7258b4ca5afe79f40d2cb7ec0 42721 luxio_5.orig.tar.bz2
 e5942c52753785bcc5712a589d8ffb449b5d0aed 2199 luxio_5-1.debian.tar.gz
 a2131886bb2585c8789e4b2af929ba02dd152cfe 131366 lua-luxio0_5-1_amd64.deb
Checksums-Sha256: 
 c16591a34ede32913f76870b8a6093979cc9d79afe10ee181e0913d1b0dcb428 1390 luxio_5-1.dsc
 3887df510b55de08f7d1ed892249e2b43e313441745a33c1ae6982c18d87e33b 42721 luxio_5.orig.tar.bz2
 fa2977ee192cbb406b63a0d08566dcbd06b498721c6fdf9698c6d60a974bdbeb 2199 luxio_5-1.debian.tar.gz
 bd2c38c95979315d09f2e545964ff01efa793378adcca071c73e93b00c4ad0ec 131366 lua-luxio0_5-1_amd64.deb
Files: 
 a54549cb5085beef29f9a4f20e954d78 1390 interpreters optional luxio_5-1.dsc
 9acab33b56e37d4d1d2a0c9e07dc491b 42721 interpreters optional luxio_5.orig.tar.bz2
 1ddcbb22c192b040ade17903b563b123 2199 interpreters optional luxio_5-1.debian.tar.gz
 be73cbfc50ff67ffc976709ca941ef59 131366 interpreters optional lua-luxio0_5-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJSB44PAAoJEIahkFub41rmYP0IAIOcn4Jk0e4QawFQgFSVr/Jp
3nDM9hhbjFRYDULaHdzD3kGA4nOw13ps/dSqOyNKEy8ewWqPpjN6qtT2utFa+/e2
0S54xlLqZuxfix1IrJlkmu1D1ONoNZF81YdY7Xr7Q+XIPvd4R2yYy7IVBI9+DP98
MRiMUfIq1BQj1bUkrKJjocygXXGG5xUw69KkwHB+43KhYKKV3Xavq2Ggw5vLEkHf
sDc1gQHDxtddk1emqb86oLirSvVzDTghkhK0bWC49CsmRZ7hJWPqQH3bX0Px0/bj
HUnEtI1VXZtO/kdzkP2opNj7vyS2uukg+gYvahPeTZQwPB6hwuJpL70Oy1AdFik=
=2/Ne
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 Sep 2013 07:34:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 02:08:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.